Bug 1096821 (CVE-2014-3461) - CVE-2014-3461 Qemu: usb: fix up post load checks
Summary: CVE-2014-3461 Qemu: usb: fix up post load checks
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3461
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1096825 1096826 1096828 1096829 1097260 1102579 1102580 1110194 1110284 1110288 1133850
Blocks: 1096814 1110626 1133827
TreeView+ depends on / blocked
 
Reported: 2014-05-12 13:39 UTC by Prasad J Pandit
Modified: 2019-09-29 13:17 UTC (History)
40 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-22 11:08:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0674 normal SHIPPED_LIVE Moderate: rhev-hypervisor6 3.4.0 security, bug fix, and enhancement update 2014-06-09 18:35:12 UTC
Red Hat Product Errata RHSA-2014:0743 normal SHIPPED_LIVE Moderate: qemu-kvm security and bug fix update 2014-06-11 00:14:13 UTC
Red Hat Product Errata RHSA-2014:0744 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-06-11 00:14:07 UTC
Red Hat Product Errata RHSA-2014:0888 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-07-24 19:38:25 UTC
Red Hat Product Errata RHSA-2014:0927 normal SHIPPED_LIVE Moderate: qemu-kvm security and bug fix update 2014-07-23 20:15:13 UTC
Red Hat Product Errata RHSA-2014:1268 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-09-22 08:00:39 UTC

Description Prasad J Pandit 2014-05-12 13:39:37 UTC
Correct post load checks:
1. dev->setup_len == sizeof(dev->data_buf)
    seems fine, no need to fail migration
2. When state is DATA, passing index > len
   will cause memcpy with negative length,
   resulting in heap overflow

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://article.gmane.org/gmane.comp.emulators.qemu/272092

Comment 1 Prasad J Pandit 2014-05-12 13:43:41 UTC
Statement:

This issue does affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.

This issue does affect the versions of qemu-kvm package as shipped with
Red Hat Enterprise Linux 6 and 7.

Comment 3 Prasad J Pandit 2014-05-13 12:49:25 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1097260]

Comment 6 errata-xmlrpc 2014-06-09 14:38:01 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0674 https://rhn.redhat.com/errata/RHSA-2014-0674.html

Comment 7 Fedora Update System 2014-06-10 02:55:55 UTC
qemu-1.6.2-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Murray McAllister 2014-06-10 07:57:20 UTC
Acknowledgements:

This issue was discovered as part of the state loading QEMU audit performed by Michael S. Tsirkin of Red Hat, Anthony Liguori, and Michael Roth.

Comment 9 errata-xmlrpc 2014-06-10 20:14:23 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0744 https://rhn.redhat.com/errata/RHSA-2014-0744.html

Comment 10 errata-xmlrpc 2014-06-10 20:21:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0743 https://rhn.redhat.com/errata/RHSA-2014-0743.html

Comment 14 errata-xmlrpc 2014-07-23 16:17:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0927 https://rhn.redhat.com/errata/RHSA-2014-0927.html

Comment 16 errata-xmlrpc 2014-07-24 15:39:33 UTC
This issue has been addressed in following products:

  OpenStack 4 for RHEL 6
  OpenStack 3 for RHEL 6

Via RHSA-2014:0888 https://rhn.redhat.com/errata/RHSA-2014-0888.html

Comment 18 errata-xmlrpc 2014-09-22 04:01:55 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1268 https://rhn.redhat.com/errata/RHSA-2014-1268.html


Note You need to log in before you can comment on or make changes to this bug.